Joomla 3.10.2 auf 4.0.3: Uncaught RuntimeException: Library path cannot be found

  • Warum?

    Migration mit PHP 7.4 und MySQL 8.x funktioniert

    Migration mit PHP 8.0.11 und MySQL 8.x funktioniert nicht

    Ich dachte, du hättest auch die DB-Version "zurückgesetzt" auf z.B. 5.7.


    Es gab mal etwas ähnliches: https://issues.joomla.org/tracker/joomla-cms/31752

    Zunächst Installation von J4 mit PHP 7.4, anschließend ausloggen und auf PHP 8 umstellen und wieder einloggen!

    Installation unter PHP 8 war wohl ein Problem. Sollte aber ja gefixt sein, wie ich das deute.

  • Das Problem müssten dann ja alle haben, die mit PHP 8 und Joomla 4 arbeiten.

    Nein, das Installieren von J4 funktioniert unter PHP8. Nur die Migration schlägt fehlt.

    Einfach selber mal testen. Ich hab das bei zwei Hostern nachvollziehen können.

    J 3.10.2 installieren (frische Installation), PHP 8 einstellen und dann auf 4.0.3 migrieren - funktioniert nicht - zumindest nicht bei Strato oder webgo

  • tekknotrip "Nur die Migration schlägt fehlt."


    Habe das jetzt auch mal mit Xampp getestet:

    - Joomla 3.10.1 installiert (frische Installation)

    - Update auf 3.10.2

    - Update auf 4.0.3 völlig problemlos.


    Konfiguration:

    Datenbanktyp mysql

    Datenbankversion 10.4.21-MariaDB

    PHP-Version 8.0.10

    Webserver Apache/2.4.48 (Win64) OpenSSL/1.1.1l PHP/8.0.10

  • Nein, das Installieren von J4 funktioniert unter PHP8. Nur die Migration schlägt fehlt.

    Einfach selber mal testen. Ich hab das bei zwei Hostern nachvollziehen können.

    J 3.10.2 installieren (frische Installation), PHP 8 einstellen und dann auf 4.0.3 migrieren - funktioniert nicht - zumindest nicht bei Strato oder webgo

    Hast du es denn mal mit Xampp oder bei einem ordentlichen Hoster (sorry für die forsche Wortwahl, es ist schon spät) probiert? Webgo und Strato sind mir mit mehr Problemen als Lösungen in Erinnerung. Und die PHP-Informationen in deinem ersten Post beinhalten die PHP-Anbindung mit apache2handler, das war früher zumindest ein als "www-run" bekanntes Problem mit Verzeichnisberechtigungen bei Joomla!-Installationen oder -Updates.


    Ich hab es gerade mit Xampp unter PHP 8.0.11 getestet, 3.10.2 auf 4.0.3, ohne Probleme.

  • Einfach selber mal testen. Ich hab das bei zwei Hostern nachvollziehen können.

    J 3.10.2 installieren (frische Installation), PHP 8 einstellen und dann auf 4.0.3 migrieren - funktioniert nicht - zumindest nicht bei Strato oder webgo

    Gerade gestern wieder eine Migration gehabt. Die lief einwandfrei durch.

    Vorhin mal versucht, dein Problem nachzustellen bei Alfahosting. Lief auch einwandfrei durch, allerdings auch hier mit 5.7

    PHP 8.0.9

    MySQL 5.7

    PHP-Anbindung: fpm-fcgi


    Mit MySQL 8 habe ich es noch nie getestet. Daher meine erste Vermutung, dass es die DB-Version sein könnte. Wenn es die PHP-Anbindung wäre, hättest du es womöglich schon längst festgestellt (andere Probleme).

  • Könnte es sein, dass unter "Optionen" der Update-Server nicht korrekt eingestellt ist? ("Joomla Next")

    Wenn ich das nicht einstelle, kann ich nicht auf 4.0.3 migrieren.

    MySQL 8 deshalb, da du bei den Hostern nichts anderes mehr bekommst.


    An alle anderen - das ist nett, dass ihr das testet. Aber es bringt nichts, wenn man das lokal und mit andern Voraussetzungen macht. Es geht um die eindeutige Reproduktion des Fehlers/Bugs.


    Wegbo oder Strato. Frische Installation J 3.10.2 mit PHP 8.0.11 auf J4.0.3 migrieren schlägt fehl.

    Ich habe das auf unterschiedlichen Instanzen getestet und gestern noch extra auf einem V-Server - auch hier fehlgeschlagen.

  • Wenn ich das nicht einstelle, kann ich nicht auf 4.0.3 migrieren.

    MySQL 8 deshalb, da du bei den Hostern nichts anderes mehr bekommst.

    Hätte sein können, dass man eventuell unter dem UpdateServer "Test" auch auf J4 hätte migrieren können und dass das dann unter Umständen eine Entwicklungsaktualisierung gewesen wäre. Da war ich mir nicht sicher. Man soll nichts unversucht lassen.


    Bzgl. MySQL 8: Ich habe Probleme mit MySQL 8 zu testen, weil mir bei anderen Hostern überall 5.7 angeboten wird, außer Xampp. Von daher kann ich da nun nicht weiterhelfen.


    Vielleicht ist es bei Strato wieder einmal eine dieser etwas versteckten Einstellungen im Account, die zu dem Problem führen?!? (z.B. irgendein Filter oder eine aktivierte Sicherheitsfunktion)


    Hattest du eventuell mal Probleme hinsichtlich "www-run"?

  • An alle anderen - das ist nett, dass ihr das testet. Aber es bringt nichts, wenn man das lokal und mit andern Voraussetzungen macht.

    Ich konnte in keinem Thread lesen, dass du es mal mit der Datenbankversion 5,7 probiert hast.


    Zitat

    MySQL 8 deshalb, da du bei den Hostern nichts anderes mehr bekommst.

    Kann ich jetzt bei Strato nicht nachvollziehen. Habe dort mehrere Seiten mit 5.7 am laufen.

    • Webhosting Strato: PHP 8.0.11 MySQL 5.7 funktioniert nicht
    • Webhosting Strato: PHP 7.4 MySQL 5.7 funktioniert

    Ok,

    Diese beiden Schritte werde ich auf meinem Stratoaccount mal testen.

    (Heute vermutlich nicht mehr).


    Ich werde dazu die 3.10.2 nehmen und die Migration auf 4.0.3 durchführen.

    Jeweils mit beiden PHP Versionen.


    Da bin ich jetzt aber auch mal gespannt! ^^

  • Dennoch würde mich interessieren, ob die Migration in deinem Ausgangsfall (#1) wirklich abbricht oder sie erfolgreich durchgelaufen ist und das Problem anschließend kam.

    Siehe log-files (#5)!


    Vielleicht ist es auch nur einfach eine Cache-Problematik?
    Joomla, Browser, Server...